MediaPlayer.Playlist.playbackMode does not emit changes (onPlaybackModeChanged) usually until you change track

Bug #1510219 reported by Jim Hodapp on 2015-10-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
John McAleely
media-hub (Ubuntu)
High
Alfonso Sanchez-Beato
media-hub (Ubuntu RTM)
High
Alfonso Sanchez-Beato
qtubuntu-media (Ubuntu)
High
Alfonso Sanchez-Beato
qtubuntu-media (Ubuntu RTM)
High
Alfonso Sanchez-Beato

Bug Description

MediaPlayer.Playlist.playbackMode does not emit changes (onPlaybackModeChanged) usually until you change track while using the new background playlist and new music-app-dev branch [1].

[1] https://code.launchpad.net/~music-app-dev/music-app/media-hub-bg-playlists-rework

Related branches

Jim Hodapp (jhodapp) on 2015-10-26
tags: added: bgplaylist
Changed in canonical-devices-system-image:
assignee: nobody → John McAleely (john.mcaleely)
importance: Undecided → High
milestone: none → ww46-2015
status: New → Confirmed
Andrew Hayzen (ahayzen) wrote :

This would block music-app landing as it creates some weird behaviour.

1) Ensure shuffle is off and restart the app
2) Play a track in an album to create a queue
3) Turn shuffle on
4) Turn shuffle off
5) Wait for EOS
6) Next track is a random track!
7) Wait for EOS
8) Next track is a correct track

The problem was actually happening in media-hub.

Changed in media-hub (Ubuntu):
status: New → In Progress
assignee: nobody → Alfonso Sanchez-Beato (alfonsosanchezbeato)
Changed in qtubuntu-media (Ubuntu):
status: New → Invalid
Changed in qtubuntu-media (Ubuntu RTM):
status: New → Invalid
Andrew Hayzen (ahayzen) wrote :

The following still occurs on silo009

What happened:
1) Turn shuffle off
2) Restart the app
3) Create a queue
4) Turn shuffle on
5) Press next
6) This is always the next track
7) Press next
8) This is a random track

What was expected:
At step 6) a random track is played

@ahayzen I am not really seeing that, although I must admit that the output of std::random_shuffle(), the function that we use to randomize, is some times not as random as I would like. How many tracks are in your list?

Jim Hodapp (jhodapp) on 2015-10-29
Changed in qtubuntu-media (Ubuntu):
status: Invalid → In Progress
Changed in qtubuntu-media (Ubuntu RTM):
status: Invalid → In Progress
Changed in qtubuntu-media (Ubuntu):
assignee: nobody → Alfonso Sanchez-Beato (alfonsosanchezbeato)
Changed in qtubuntu-media (Ubuntu RTM):
assignee: nobody → Alfonso Sanchez-Beato (alfonsosanchezbeato)
Changed in canonical-devices-system-image:
status: Confirmed → In Progress
Jim Hodapp (jhodapp) on 2015-11-02
Changed in media-hub (Ubuntu):
importance: Undecided → Medium
Changed in qtubuntu-media (Ubuntu):
importance: Undecided → Medium
Changed in qtubuntu-media (Ubuntu RTM):
importance: Undecided → Medium
Changed in media-hub (Ubuntu RTM):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Alfonso Sanchez-Beato (alfonsosanchezbeato)
Jim Hodapp (jhodapp) on 2015-11-02
Changed in media-hub (Ubuntu):
importance: Medium → High
Changed in media-hub (Ubuntu RTM):
importance: Medium → High
Changed in qtubuntu-media (Ubuntu):
importance: Medium → High
Changed in qtubuntu-media (Ubuntu RTM):
importance: Medium → High
Changed in canonical-devices-system-image:
milestone: ww46-2015 → ww02-2016
Jim Hodapp (jhodapp) on 2015-11-17
Changed in media-hub (Ubuntu):
status: In Progress → Triaged
Changed in qtubuntu-media (Ubuntu):
status: In Progress → Triaged
Changed in media-hub (Ubuntu RTM):
status: In Progress → Fix Committed
Changed in qtubuntu-media (Ubuntu RTM):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

This bug was fixed in the package qtubuntu-media 0.8.0+15.04.20151118-0ubuntu1 in https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/stable-phone-overlay

---------------

qtubuntu-media (0.8.0+15.04.20151118-0ubuntu1) vivid; urgency=medium

  [ phablet ]
  * Bump version for new TrackList related API changes.

  [ Alfonso Sanchez-Beato ]
  * Emit onPlaybackModeChanged (LP: #1510219). Implements insertTrack()
    so that a client can move a track into a new position by first
    calling removeTrack(). Do proper clean-up when switching between
    playlist and playing a single URI (LP: #1511029). (LP: #1511073,
    #1511034, #1510219, #1511029)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Jim Hodapp ]
  * Emit onPlaybackModeChanged (LP: #1510219). Implements insertTrack()
    so that a client can move a track into a new position by first
    calling removeTrack(). Do proper clean-up when switching between
    playlist and playing a single URI (LP: #1511029). (LP: #1511073,
    #1511034, #1510219, #1511029)

 -- Jim Hodapp <email address hidden> Wed, 18 Nov 2015 16:32:22 +0000

Changed in qtubuntu-media (Ubuntu RTM):
status: Fix Committed → Fix Released
Łukasz Zemczak (sil2100) wrote :

This bug was fixed in the package media-hub 4.0.0+15.04.20151118.1-0ubuntu1 in https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/stable-phone-overlay

---------------

media-hub (4.0.0+15.04.20151118.1-0ubuntu1) vivid; urgency=medium

  [ Jim Hodapp ]
  * Added move_track and various fixes for TrackList.
  * Major bump for new TrackList API changes.

  [ Alfonso Sanchez-Beato ]
  * Make sure our iterator for the current track points to the right
    place when (un)shuffling (LP #1510219). Fix crash when client tries
    to set the player for a non-existing key. Do not add empty URIs to
    the list (LP: #1511029). (LP: #1511073, #1511385, #1510219,
    #1510227, #1511029)

 -- Jim Hodapp <email address hidden> Wed, 18 Nov 2015 18:36:18 +0000

Changed in media-hub (Ubuntu RTM):
status: Fix Committed → Fix Released
Changed in canonical-devices-system-image:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtubuntu-media - 0.8.0+16.04.20160105-0ubuntu1

---------------
qtubuntu-media (0.8.0+16.04.20160105-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * No-change rebuild.

qtubuntu-media (0.8.0+15.04.20151118-0ubuntu1) vivid; urgency=medium

  [ phablet ]
  * Bump version for new TrackList related API changes.

  [ Alfonso Sanchez-Beato ]
  * Emit onPlaybackModeChanged (LP: #1510219). Implements insertTrack()
    so that a client can move a track into a new position by first
    calling removeTrack(). Do proper clean-up when switching between
    playlist and playing a single URI (LP: #1511029). (LP: #1511073,
    #1511034, #1510219, #1511029)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Jim Hodapp ]
  * Emit onPlaybackModeChanged (LP: #1510219). Implements insertTrack()
    so that a client can move a track into a new position by first
    calling removeTrack(). Do proper clean-up when switching between
    playlist and playing a single URI (LP: #1511029). (LP: #1511073,
    #1511034, #1510219, #1511029)

 -- Thomas Voß <email address hidden> Tue, 05 Jan 2016 13:07:12 +0000

Changed in qtubuntu-media (Ubuntu):
status: Triaged → Fix Released
Changed in canonical-devices-system-image:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers